/**
 * 文件名：ToastUtil.java
 * 描述：Toast工具类
 * 包名：cn.com.kmlt.monstarBase.utils.texture
 * 作者：WENJQ
 * 创建日期：2016年05月26日
 * 
 */

package com.mgq.base.utils.toast;

import android.content.Context;
import android.widget.Toast;

public class ToastUtil {
    private static Toast mToast = null;

    public static void showToast(Context context, String msg) {
        if (context == null)
            return;
        if (mToast == null) {
            mToast = Toast.makeText(context, msg, Toast.LENGTH_SHORT);
        } else {
            mToast.setText(msg);
        }
        mToast.show();
    }

    public static void showToast(Context context, String msg, boolean isLong) {
        if (context == null)
            return;
        int duration = isLong ? Toast.LENGTH_LONG : Toast.LENGTH_SHORT;
        if (mToast == null) {
            mToast = Toast.makeText(context, msg, duration);
        } else {
            mToast.setText(msg);
        }
        mToast.show();
    }

    public static void showToast(Context context, int msg) {
        if (context == null)
            return;
        String text = context.getResources().getString(msg);
        showToast(context, text);
    }

    public static void cancelToast(Context context){
        if (mToast != null)
            mToast.cancel();
    }
}
